#include "terror.h"

#define SONDE_MAX_POINTS 255
#define SONDE_THRESHOLD_VALUE -32768
#define SONDE_THRESHOLD_WIND -200
#define SONDE_NO_VALUE -32769
#define SONDE_MAX_LINE_LENGTH 512

typedef struct {
  float pressure[SONDE_MAX_POINTS]; /* Pa */
  float height[SONDE_MAX_POINTS]; /* m */
  float temperature[SONDE_MAX_POINTS]; /* K */
  float dew_point[SONDE_MAX_POINTS]; /* K */
  float wind_direction[SONDE_MAX_POINTS]; /* degrees */
  float wind_speed[SONDE_MAX_POINTS]; /* m/s */
  float latitude, longitude;
  int year, month, day;
  int z, start, n;
} SondeAscent;

T_ERROR *sonde_load(const char *filename, SondeAscent *ascent);
T_ERROR *sonde_interpolate(SondeAscent *ascent);
